- Standard Payment Links: Customers can make payments through netbanking, cards, wallets, UPI and bank transfer payment methods using Standard Payment Links.
- UPI Payment Links: Customers can select the UPI app of your choice to make payments using UPI Payment Links.
Payment Link APIs
You can create, update, cancel, fetch, and resend payment links using APIs. Check the API Reference Guide for endpoints, sample codes and parameter descriptions.Using Callback URL Parameter
Upon successful payment, customers can be directed to a designated URL through thecallback_url and callback_method parameters. For example, you can redirect customers to https://example-callback-url.com/.
Parameter | Description
razorpay_payment_id | Payment ID of the successful payment.
razorpay_payment_link_id | Payment Link ID generated at the time of link creation.
razorpay_payment_link_reference_id | Internal order ID set by you for business reference using the reference_id parameter at the time of link creation. No value is returned if reference_id parameter was not used.
razorpay_payment_link_status | Current status of the link.
razorpay_signature | Signature for server-side validation to be calculated as HMAC hex digest using SHA256 algorithm. This is described below with a sample code.
The query parameters are added to the URL as shown:
Query Parameters
Verify Signature
You can verify therazorpay_signature parameter to validate that it is authentic and sent from Razorpay servers.
The razorpay_payment_link_id attribute should be stored in your system against an order, right after it is returned in the create Payment Link response. This is displayed as just id (for example, "id": "plink_FKeEiabyAAiSVQ") in the response.
- The
razorpay_signatureshould be validated by your server. In order to verify the signature, you need to create a signature usingrazorpay_payment_link_idrazorpay_payment_link_reference_idrazorpay_payment_link_statusrazorpay_payment_idas payload and yourkey_secret(your API secret) as secret.
Java
razorpay_payment_link_id and mark this order as successful.